Name:          svrcore
Version:       4.0.4
Release:       1mamba
Summary:       Secure PIN handling using NSS crypto
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      gil <puntogil@libero.it>
URL:           http://www.mozilla.org/projects/security/pki/
Source:        ftp://ftp.mozilla.org/pub/mozilla.org/directory/svrcore/releases/%{version}/src/svrcore-%{version}.tar.bz2
License:       GPL,MPL 1.1,LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
svrcore provides applications with several ways to handle secure PIN storage e.g. in an application that must be restarted, but needs the PIN to unlock the private key and other crypto material, without user intervention. svrcore uses the facilities provided by NSS.

%package -n lib%{name}
Summary:       Secure PIN handling using NSS crypto
Group:         System/Libraries
Provides:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
svrcore provides applications with several ways to handle secure PIN storage e.g. in an application that must be restarted, but needs the PIN to unlock the private key and other crypto material, without user intervention. svrcore uses the facilities provided by NSS.

%package  -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for secure PIN handling using NSS crypto
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description  -n lib%{name}-devel
svrcore provides applications with several ways to handle secure PIN storage e.g. in an application that must be restarted, but needs the PIN to unlock the private key and other crypto material, without user intervention. svrcore uses the facilities provided by NSS.
This package contains header files and symlinks to develop programs which will use the libsvrcore library.  You should install this package if you need to develop programs which will use the svrcore library.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
rm -f %{buildroot}%{_libdir}/libsvrcore.*a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsvrcore.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/svrcore.h
%{_libdir}/libsvrcore.so
%{_libdir}/pkgconfig/svrcore.pc
%doc LICENSE NEWS README TODO

%changelog
* Mon Dec 21 2009 gil <puntogil@libero.it> 4.0.4-1mamba
- package created by autospec
